/**
 * 保存帧信息文件
 * */

#ifndef SAVEMOVEINFOENGINE_H
#define SAVEMOVEINFOENGINE_H

#include "AppCommon.h"
#include "EngineBase.h"
#include "EngineFactory.h"


class SaveMoveInfoEngine : public ai_matrix::EngineBase
{
public:
    SaveMoveInfoEngine();
    ~SaveMoveInfoEngine();

    APP_ERROR Init() override;
    APP_ERROR DeInit() override;
    APP_ERROR Process() override;

private:
    ai_matrix::BaseConfig baseConfig_;

    std::string strPort0_;

};

ENGINE_REGIST(SaveMoveInfoEngine)

#endif
